org.apache.solr.client.solrj.io.stream.expr

## Interface Expressible

All Known Subinterfaces:
  ReduceOperation, StreamComparator, StreamEqualitor, StreamEvaluator, StreamOperation

All Known Implementing Classes:
  AbsoluteValueEvaluator, AddEvaluator, AndEvaluator, AnovaEvaluator, AppendEvaluator, ArcCosineEvaluator, ArcSineEvaluator, ArcTangentEvaluator, ArrayEvaluator, AscEvaluator, BetaDistributionEvaluator, BiJoinStream, BinomialCoefficientEvaluator, BinomialDistributionEvaluator, CalculatorStream, CanberraDistanceEvaluator, CartesianProductStream, CeilingEvaluator, CellStream, ChebyshevDistanceEvaluator, CloudSolrStream, CoalesceEvaluator, ColumnEvaluator, CommitStream, ComplementStream, ConcatOperation, ConstantDistributionEvaluator, ConversionEvaluator, ConvolutionEvaluator, CopyOfEvaluator, CopyOfRangeEvaluator, CorrelationEvaluator, CosineEvaluator, CosineSimilarityEvaluator, CountMetric, CovarianceEvaluator, CubedRootEvaluator, CumulativeProbabilityEvaluator, DaemonStream, DescribeEvaluator, DistinctOperation, DivideEvaluator, DotProductEvaluator, EarthMoversDistanceEvaluator, EBEAddEvaluator, EBEDivideEvaluator, EBEMultiplyEvaluator, EBESubtractEvaluator, EchoStream, EmpiricalDistributionEvaluator, EnumeratedDistributionEvaluator, EqualToEvaluator, EuclideanDistanceEvaluator, EvalStream, ExclusiveOrEvaluator, ExecutorStream, ExponentialMovingAverageEvaluator, FacetStream, FactorialEvaluator, FeaturesSelectionStream, FetchStream, FieldComparator, FieldEqualitor, FieldValueEvaluator, FindDelayEvaluator, FloorEvaluator, FrequencyTableEvaluator, GammaDistributionEvaluator, GatherNodesStream, GetStream, GreaterThanEqualToEvaluator, GreaterThanEvaluator, GroupOperation, HarmonicFitEvaluator, HashJoinStream, HavingStream, HistogramEvaluator, HyperbolicCosineEvaluator, HyperbolicSineEvaluator, HyperbolicTangentEvaluator, IfThenElseEvaluator, InnerJoinStream, IntersectStream, JDBCStream, JoinStream, KendallsCorrelationEvaluator, KnnStream, KolmogorovSmirnovEvaluator, LeftOuterJoinStream, LengthEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, LetStream, ListStream, LogNormalDistributionEvaluator, ManhattanDistanceEvaluator, MaxMetric, MeanDifferenceEvaluator, MeanEvaluator, MeanMetric, MergeStream, Metric, MinMetric, ModeEvaluator, ModelStream, ModuloEvaluator, MonteCarloEvaluator, MovingAverageEvaluator, MovingMedianEvaluator, MultipleFieldComparator, MultipleFieldEqualitor, MultiplyEvaluator, NaturalLogEvaluator, NormalDistributionEvaluator, NormalizeEvaluator, NotEvaluator, NullStream, OrEvaluator, OuterHashJoinStream, ParallelStream, PercentileEvaluator, PlotStream, PoissonDistributionEvaluator, PolyFitDerivativeEvaluator, PolyFitEvaluator, PowerEvaluator, PredictEvaluator, PrimesEvaluator, PriorityStream, ProbabilityEvaluator, PushBackStream, RandomStream, RankEvaluator, RankStream, RawValueEvaluator, RecursiveBooleanEvaluator, RecursiveEvaluator, RecursiveNumericEvaluator, RecursiveNumericListEvaluator, RecursiveObjectEvaluator, RecursiveTemporalEvaluator, ReducerStream, RegressionEvaluator, ReplaceOperation, ReplaceWithFieldOperation, ReplaceWithValueOperation, ResidualsEvaluator, ReverseEvaluator, RollupStream, RoundEvaluator, SampleEvaluator, ScaleEvaluator, ScoreNodesStream, SelectStream, SequenceEvaluator, ShortestPathStream, ShuffleStream, SignificantTermsStream, SineEvaluator, SingleValueComparator, SortStream, SourceEvaluator, SpearmansCorrelationEvaluator, SqlStream, SquareRootEvaluator, StatsStream, SubtractEvaluator, SumDifferenceEvaluator, SumMetric, TangentEvaluator, TemporalEvaluatorDay, TemporalEvaluatorDayOfQuarter, TemporalEvaluatorDayOfYear, TemporalEvaluatorEpoch, TemporalEvaluatorHour, TemporalEvaluatorMinute, TemporalEvaluatorMonth, TemporalEvaluatorQuarter, TemporalEvaluatorSecond, TemporalEvaluatorWeek, TemporalEvaluatorYear, TextLogitStream, TimeSeriesStream, TopicStream, TupStream, UniformDistributionEvaluator, UniformIntegerDistributionEvaluator, UniqueStream, UpdateStream, UuidEvaluator, WeibullDistributionEvaluator, ZipFDistributionEvaluator

    public interface Expressible

Defines a stream that can be expressed in an expression

### Method Summary

All Methods Instance Methods Abstract Methods
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Method Detail

#### toExpression

    StreamExpressionParameter toExpression(StreamFactory factory)
                                    throws IOException

Throws:
  `IOException`

#### toExplanation

    Explanation toExplanation(StreamFactory factory)
                       throws IOException

Returns an explanation about the stream object

Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error